This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 129938

Summary: new terminal window doesn't get focus
Product: [Fedora] Fedora Reporter: Mike <lsomike>
Component: gnome-terminalAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-08-15 11:59:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Mike 2004-08-14 17:17:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040619

Description of problem:
I noticed a change this week such that when opening up more than one 
gnome-terminal session, the second one does not receive focus so that 
when the first is running full screen the second is never seen unless 
you manually switch to it by clicking in the bottom panel icon or via 
Alt-Tab.

Version-Release number of selected component (if applicable):
gnome-terminal-2.4.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. Open up gnome-terminal
2. Set it to full screen
3. Open up second gnome-terminal

    

Actual Results:  Second session does not appear, but bottom panel
shows it's been started.

Expected Results:  Second terminal should overlay the first and have
the focus.

Additional info:
Comment 1 Jim Cornette 2004-08-14 22:57:34 EDT
This leads the user to think that the new gnome-terminal failed to
launch. I noticed the problem today.
Also, windows seem to stay visible and focused unless the window is
clicked w/ the mouse.

Example: Mozilla running full screen. Gnome-terminal brought to front
by clicking on the panel button. Clicking on the fullscreen mozilla
does not fully change focus to mozilla. gnome-terminal is still
present and hides part of the mozilla window. This might be a useful
feature, but seems odd behavior.
If you click on the gnome-terminal window, then click again on the
full screen window, gnome-terminal is hid and mozilla is fully focused
w/o gnome-terminal hiding parts of the browser.
Comment 2 Havoc Pennington 2004-08-15 11:59:37 EDT
This is http://bugzilla.gnome.org/show_bug.cgi?id=149028, it will be
resolved in some way upstream by GNOME 2.8